update to go1.3beta2

This commit is contained in:
Vincent Batts 2014-05-21 17:30:02 -04:00
parent 4620c4841b
commit 0b3722bb33
5 changed files with 77 additions and 160 deletions

View File

@ -1,7 +1,8 @@
diff -r 87dea3f5ebe7 api/go1.txt
--- a/api/go1.txt Fri Nov 29 08:32:31 2013 +1100
+++ b/api/go1.txt Fri Dec 06 13:31:29 2013 -0500
@@ -412,7 +412,6 @@
Index: go/api/go1.txt
===================================================================
--- go.orig/api/go1.txt
+++ go/api/go1.txt
@@ -412,7 +412,6 @@ pkg crypto/ecdsa, type PublicKey struct,
pkg crypto/ecdsa, type PublicKey struct, embedded elliptic.Curve
pkg crypto/elliptic, func GenerateKey(Curve, io.Reader) ([]uint8, *big.Int, *big.Int, error)
pkg crypto/elliptic, func Marshal(Curve, *big.Int, *big.Int) []uint8
@ -9,10 +10,11 @@ diff -r 87dea3f5ebe7 api/go1.txt
pkg crypto/elliptic, func P256() Curve
pkg crypto/elliptic, func P384() Curve
pkg crypto/elliptic, func P521() Curve
diff -r 87dea3f5ebe7 src/pkg/crypto/ecdsa/ecdsa_test.go
--- a/src/pkg/crypto/ecdsa/ecdsa_test.go Fri Nov 29 08:32:31 2013 +1100
+++ b/src/pkg/crypto/ecdsa/ecdsa_test.go Fri Dec 06 13:31:29 2013 -0500
@@ -33,7 +33,6 @@
Index: go/src/pkg/crypto/ecdsa/ecdsa_test.go
===================================================================
--- go.orig/src/pkg/crypto/ecdsa/ecdsa_test.go
+++ go/src/pkg/crypto/ecdsa/ecdsa_test.go
@@ -33,7 +33,6 @@ func testKeyGeneration(t *testing.T, c e
}
func TestKeyGeneration(t *testing.T) {
@ -20,7 +22,7 @@ diff -r 87dea3f5ebe7 src/pkg/crypto/ecdsa/ecdsa_test.go
if testing.Short() {
return
}
@@ -63,7 +62,6 @@
@@ -63,7 +62,6 @@ func testSignAndVerify(t *testing.T, c e
}
func TestSignAndVerify(t *testing.T) {
@ -28,7 +30,7 @@ diff -r 87dea3f5ebe7 src/pkg/crypto/ecdsa/ecdsa_test.go
if testing.Short() {
return
}
@@ -129,8 +127,6 @@
@@ -129,8 +127,6 @@ func TestVectors(t *testing.T) {
parts := strings.SplitN(line, ",", 2)
switch parts[0] {
@ -37,9 +39,10 @@ diff -r 87dea3f5ebe7 src/pkg/crypto/ecdsa/ecdsa_test.go
case "P-256":
pub.Curve = elliptic.P256()
case "P-384":
diff -r 87dea3f5ebe7 src/pkg/crypto/elliptic/bottombits.go
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/src/pkg/crypto/elliptic/bottombits.go Fri Dec 06 13:31:29 2013 -0500
Index: go/src/pkg/crypto/elliptic/bottombits.go
===================================================================
--- /dev/null
+++ go/src/pkg/crypto/elliptic/bottombits.go
@@ -0,0 +1,14 @@
+
+// Copyright 2012 The Go Authors. All rights reserved.
@ -55,10 +58,11 @@ diff -r 87dea3f5ebe7 src/pkg/crypto/elliptic/bottombits.go
+const two31m3 = 1<<31 - 1<<3
+const two31m15m3 = 1<<31 - 1<<15 - 1<<3
+
diff -r 87dea3f5ebe7 src/pkg/crypto/elliptic/elliptic.go
--- a/src/pkg/crypto/elliptic/elliptic.go Fri Nov 29 08:32:31 2013 +1100
+++ b/src/pkg/crypto/elliptic/elliptic.go Fri Dec 06 13:31:29 2013 -0500
@@ -326,7 +326,6 @@
Index: go/src/pkg/crypto/elliptic/elliptic.go
===================================================================
--- go.orig/src/pkg/crypto/elliptic/elliptic.go
+++ go/src/pkg/crypto/elliptic/elliptic.go
@@ -326,7 +326,6 @@ var p384 *CurveParams
var p521 *CurveParams
func initAll() {
@ -66,25 +70,27 @@ diff -r 87dea3f5ebe7 src/pkg/crypto/elliptic/elliptic.go
initP256()
initP384()
initP521()
diff -r 87dea3f5ebe7 src/pkg/crypto/elliptic/elliptic_test.go
--- a/src/pkg/crypto/elliptic/elliptic_test.go Fri Nov 29 08:32:31 2013 +1100
+++ b/src/pkg/crypto/elliptic/elliptic_test.go Fri Dec 06 13:31:29 2013 -0500
Index: go/src/pkg/crypto/elliptic/elliptic_test.go
===================================================================
--- go.orig/src/pkg/crypto/elliptic/elliptic_test.go
+++ go/src/pkg/crypto/elliptic/elliptic_test.go
@@ -1,3 +1,5 @@
+// +build ignore
+
// Copyright 2010 The Go Authors. All rights reserved.
// Use of this source code is governed by a BSD-style
// license that can be found in the LICENSE file.
diff -r 87dea3f5ebe7 src/pkg/crypto/elliptic/p224.go
--- a/src/pkg/crypto/elliptic/p224.go Fri Nov 29 08:32:31 2013 +1100
+++ b/src/pkg/crypto/elliptic/p224.go Fri Dec 06 13:31:29 2013 -0500
Index: go/src/pkg/crypto/elliptic/p224.go
===================================================================
--- go.orig/src/pkg/crypto/elliptic/p224.go
+++ go/src/pkg/crypto/elliptic/p224.go
@@ -1,3 +1,5 @@
+// +build ignore
+
// Copyright 2012 The Go Authors. All rights reserved.
// Use of this source code is governed by a BSD-style
// license that can be found in the LICENSE file.
@@ -183,10 +185,6 @@
@@ -183,10 +185,6 @@ func p224Add(out, a, b *p224FieldElement
}
}
@ -95,7 +101,7 @@ diff -r 87dea3f5ebe7 src/pkg/crypto/elliptic/p224.go
// p224ZeroModP31 is 0 mod p where bit 31 is set in all limbs so that we can
// subtract smaller amounts without underflow. See the section "Subtraction" in
// [1] for reasoning.
@@ -215,9 +213,6 @@
@@ -215,9 +213,6 @@ const two63m35m19 = 1<<63 - 1<<35 - 1<<1
// "Subtraction" in [1] for why.
var p224ZeroModP63 = [8]uint64{two63p35, two63m35, two63m35, two63m35, two63m35m19, two63m35, two63m35, two63m35}
@ -105,19 +111,21 @@ diff -r 87dea3f5ebe7 src/pkg/crypto/elliptic/p224.go
// p224Mul computes *out = a*b
//
// a[i] < 2**29, b[i] < 2**30 (or vice versa)
diff -r 87dea3f5ebe7 src/pkg/crypto/elliptic/p224_test.go
--- a/src/pkg/crypto/elliptic/p224_test.go Fri Nov 29 08:32:31 2013 +1100
+++ b/src/pkg/crypto/elliptic/p224_test.go Fri Dec 06 13:31:29 2013 -0500
Index: go/src/pkg/crypto/elliptic/p224_test.go
===================================================================
--- go.orig/src/pkg/crypto/elliptic/p224_test.go
+++ go/src/pkg/crypto/elliptic/p224_test.go
@@ -1,3 +1,5 @@
+// +build ignore
+
// Copyright 2012 The Go Authors. All rights reserved.
// Use of this source code is governed by a BSD-style
// license that can be found in the LICENSE file.
diff -r 87dea3f5ebe7 src/pkg/crypto/x509/x509.go
--- a/src/pkg/crypto/x509/x509.go Fri Nov 29 08:32:31 2013 +1100
+++ b/src/pkg/crypto/x509/x509.go Fri Dec 06 13:31:29 2013 -0500
@@ -305,9 +305,6 @@
Index: go/src/pkg/crypto/x509/x509.go
===================================================================
--- go.orig/src/pkg/crypto/x509/x509.go
+++ go/src/pkg/crypto/x509/x509.go
@@ -306,9 +306,6 @@ func getPublicKeyAlgorithmFromOID(oid as
// RFC 5480, 2.1.1.1. Named Curve
//
@ -127,7 +135,7 @@ diff -r 87dea3f5ebe7 src/pkg/crypto/x509/x509.go
// secp256r1 OBJECT IDENTIFIER ::= {
// iso(1) member-body(2) us(840) ansi-X9-62(10045) curves(3)
// prime(1) 7 }
@@ -320,7 +317,6 @@
@@ -321,7 +318,6 @@ func getPublicKeyAlgorithmFromOID(oid as
//
// NB: secp256r1 is equivalent to prime256v1
var (
@ -135,7 +143,7 @@ diff -r 87dea3f5ebe7 src/pkg/crypto/x509/x509.go
oidNamedCurveP256 = asn1.ObjectIdentifier{1, 2, 840, 10045, 3, 1, 7}
oidNamedCurveP384 = asn1.ObjectIdentifier{1, 3, 132, 0, 34}
oidNamedCurveP521 = asn1.ObjectIdentifier{1, 3, 132, 0, 35}
@@ -328,8 +324,6 @@
@@ -329,8 +325,6 @@ var (
func namedCurveFromOID(oid asn1.ObjectIdentifier) elliptic.Curve {
switch {
@ -144,7 +152,7 @@ diff -r 87dea3f5ebe7 src/pkg/crypto/x509/x509.go
case oid.Equal(oidNamedCurveP256):
return elliptic.P256()
case oid.Equal(oidNamedCurveP384):
@@ -342,8 +336,6 @@
@@ -343,8 +337,6 @@ func namedCurveFromOID(oid asn1.ObjectId
func oidFromNamedCurve(curve elliptic.Curve) (asn1.ObjectIdentifier, bool) {
switch curve {
@ -153,12 +161,12 @@ diff -r 87dea3f5ebe7 src/pkg/crypto/x509/x509.go
case elliptic.P256():
return oidNamedCurveP256, true
case elliptic.P384():
@@ -1373,7 +1365,7 @@
hashFunc = crypto.SHA1
case *ecdsa.PrivateKey:
@@ -1371,7 +1363,7 @@ func signingParamsForPrivateKey(priv int
pubType = ECDSA
switch priv.Curve {
- case elliptic.P224(), elliptic.P256():
+ case elliptic.P256():
hashFunc = crypto.SHA256
signatureAlgorithm.Algorithm = oidSignatureECDSAWithSHA256
sigAlgo.Algorithm = oidSignatureECDSAWithSHA256
case elliptic.P384():

View File

@ -1,27 +1,19 @@
diff -r 7326da92ff4d src/make.bash
--- a/src/make.bash Mon Dec 02 09:06:41 2013 +1100
+++ b/src/make.bash Tue Dec 03 15:29:09 2013 -0500
@@ -145,7 +145,7 @@
if [ "$1" = "--no-clean" ]; then
buildall=""
fi
-./cmd/dist/dist bootstrap $buildall $GO_DISTFLAGS -v # builds go_bootstrap
+./cmd/dist/dist bootstrap $buildall $GO_DISTFLAGS -vv # builds go_bootstrap
# Delay move of dist tool to now, because bootstrap may clear tool directory.
mv cmd/dist/dist "$GOTOOLDIR"/dist
"$GOTOOLDIR"/go_bootstrap clean -i std
@@ -154,12 +154,12 @@
if [ "$GOHOSTARCH" != "$GOARCH" -o "$GOHOSTOS" != "$GOOS" ]; then
echo "# Building packages and commands for host, $GOHOSTOS/$GOHOSTARCH."
GOOS=$GOHOSTOS GOARCH=$GOHOSTARCH \
Index: go/src/make.bash
===================================================================
--- go.orig/src/make.bash
+++ go/src/make.bash
@@ -161,12 +161,12 @@ if [ "$GOHOSTARCH" != "$GOARCH" -o "$GOH
# CC_FOR_TARGET is recorded as the default compiler for the go tool. When building for the host, however,
# use the host compiler, CC, from `cmd/dist/dist env` instead.
CC=$CC GOOS=$GOHOSTOS GOARCH=$GOHOSTARCH \
- "$GOTOOLDIR"/go_bootstrap install -ccflags "$GO_CCFLAGS" -gcflags "$GO_GCFLAGS" -ldflags "$GO_LDFLAGS" -v std
+ "$GOTOOLDIR"/go_bootstrap install -ccflags "$GO_CCFLAGS" -gcflags "$GO_GCFLAGS" -ldflags "$GO_LDFLAGS" -v -x std
echo
fi
echo "# Building packages and commands for $GOOS/$GOARCH."
-"$GOTOOLDIR"/go_bootstrap install $GO_FLAGS -ccflags "$GO_CCFLAGS" -gcflags "$GO_GCFLAGS" -ldflags "$GO_LDFLAGS" -v std
+"$GOTOOLDIR"/go_bootstrap install $GO_FLAGS -ccflags "$GO_CCFLAGS" -gcflags "$GO_GCFLAGS" -ldflags "$GO_LDFLAGS" -v -x std
-CC=$CC_FOR_TARGET "$GOTOOLDIR"/go_bootstrap install $GO_FLAGS -ccflags "$GO_CCFLAGS" -gcflags "$GO_GCFLAGS" -ldflags "$GO_LDFLAGS" -v std
+CC=$CC_FOR_TARGET "$GOTOOLDIR"/go_bootstrap install $GO_FLAGS -ccflags "$GO_CCFLAGS" -gcflags "$GO_GCFLAGS" -ldflags "$GO_LDFLAGS" -v -x std
echo
rm -f "$GOTOOLDIR"/go_bootstrap

View File

@ -1,9 +0,0 @@
diff -r 0ddbdc3c7ce2 misc/cgo/test/cgo_linux_test.go
--- a/misc/cgo/test/cgo_linux_test.go Mon Mar 03 11:53:08 2014 +1100
+++ b/misc/cgo/test/cgo_linux_test.go Fri Apr 11 16:01:17 2014 -0400
@@ -6,4 +6,4 @@
import "testing"
-func TestSetgid(t *testing.T) { testSetgid(t) }
+func nopeTestSetgid(t *testing.T) { testSetgid(t) }

View File

@ -1,13 +0,0 @@
Index: go/src/run.bash
===================================================================
--- go.orig/src/run.bash
+++ go/src/run.bash
@@ -105,7 +105,7 @@ go run $GOROOT/test/run.go - . || exit 1
(xcd ../misc/cgo/test
go test -ldflags '-linkmode=auto' || exit 1
# linkmode=internal fails on dragonfly since errno is a TLS relocation.
-[ "$GOHOSTOS" == dragonfly ] || go test -ldflags '-linkmode=internal' || exit 1
+#[ "$GOHOSTOS" == dragonfly ] || go test -ldflags '-linkmode=internal' || exit 1
case "$GOHOSTOS-$GOARCH" in
openbsd-386 | openbsd-amd64)
# test linkmode=external, but __thread not supported, so skip testtls.

View File

@ -38,13 +38,13 @@
%endif
Name: golang
Version: 1.2.2
Release: 7%{?dist}
Version: 1.3beta2
Release: 1%{?dist}
Summary: The Go Programming Language
License: BSD
URL: http://golang.org/
Source0: https://go.googlecode.com/files/go%{version}.src.tar.gz
Source0: https://storage.googleapis.com/golang/go%{version}.src.tar.gz
# this command moved places
%if 0%{?fedora} >= 21
@ -63,10 +63,6 @@ Requires: golang-bin
Requires: golang-src
BuildRequires: emacs
# xemacs on fedora only
%if 0%{?fedora}
BuildRequires: xemacs xemacs-packages-extra
%endif
Patch0: golang-1.2-verbose-build.patch
@ -77,20 +73,6 @@ Patch1: golang-1.2-remove-ECC-p224.patch
# http://code.google.com/p/go/issues/detail?id=6522
Patch2: ./golang-1.2-skipCpuProfileTest.patch
# Pull in new archive/tar upstream patch to support xattrs for
# docker-0.8.1
# https://code.google.com/p/go/source/detail?r=a15f344a9efa
Patch3: golang-1.2-archive_tar-xattr.patch
# skip test that causes a SIGABRT on fc21 (bz1086900)
# until this test/issue is fixed
# https://bugzilla.redhat.com/show_bug.cgi?id=1086900
Patch5: golang-1.2.1-disable_testsetgid.patch
# skip this test, which fails in i686 on fc21 inside mock/chroot (bz1087621)
# https://bugzilla.redhat.com/show_bug.cgi?id=1087621
Patch6: golang-1.2.1-i686-cgo-test-failure.patch
# Having documentation separate was broken
Obsoletes: %{name}-docs < 1.1-4
@ -104,10 +86,6 @@ Source100: golang-gdbinit
Source101: golang-prelink.conf
Source102: macros.golang
# Patch4 - pull in new archive/tar upstream patch, this file is part
# of the upstream merge and is used for test cases.
Source400: golang-19087:a15f344a9efa-xattrs.tar
%description
%{summary}.
@ -144,18 +122,6 @@ BuildArch: noarch
%{summary}.
# xemacs on fedora only
%if 0%{?fedora}
%package -n xemacs-%{name}
Summary: XEmacs add-on package for Go
Requires: xemacs(bin) >= %{_xemacs_version}
Requires: xemacs-packages-extra
BuildArch: noarch
%description -n xemacs-%{name}
%{summary}.
%endif
##
# the source tree
%package src
@ -377,8 +343,6 @@ end
%prep
%setup -q -n go
cp %SOURCE400 src/pkg/archive/tar/testdata/xattrs.tar
%if 0%{?fedora} >= 21
%patch210 -p0
%patch211 -p0
@ -393,16 +357,6 @@ cp %SOURCE400 src/pkg/archive/tar/testdata/xattrs.tar
# skip flaky test
%patch2 -p1
# new archive/tar implementation from upstream
# TODO: remove this when updated to go1.3
%patch3 -p1
# SIGABRT bz1086900
%patch5 -p1
# cgo/test bz1087621
%patch6 -p1
# create a [dirty] gcc wrapper to allow us to build with our own flags
# (dirty because it is spoofing 'gcc' since CC value is stored in the go tool)
# TODO: remove this and just set CFLAGS/LDFLAGS once upstream supports it
@ -441,14 +395,9 @@ pushd src
done
popd
# compile for emacs and xemacs
# compile for emacs
cd misc
mv emacs/go-mode-load.el emacs/%{name}-init.el
# xemacs on fedora only
%if 0%{?fedora}
cp -av emacs xemacs
%{_xemacs_bytecompile} xemacs/go-mode.el
%endif
%{_emacs_bytecompile} emacs/go-mode.el
cd ..
@ -457,9 +406,17 @@ cd ..
export GOROOT=$(pwd -P)
export PATH="$PATH":"$GOROOT"/bin
cd src
# skip using CGO for test. causes a SIGABRT on fc21 (bz1086900)
# until this test/issue is fixed
# https://bugzilla.redhat.com/show_bug.cgi?id=1086900
# CGO for test, which fails in i686 on fc21 inside mock/chroot (bz1087621)
# https://bugzilla.redhat.com/show_bug.cgi?id=1087621
# not using our 'gcc' since the CFLAGS fails crash_cgo_test.go due to unused variables
# https://code.google.com/p/go/issues/detail?id=6883
./run.bash --no-rebuild
CGO_ENABLED=0 ./run.bash --no-rebuild
cd ..
@ -525,15 +482,6 @@ mkdir -p $RPM_BUILD_ROOT%{_emacs_sitestartdir}
cp -av misc/emacs/go-mode.* $RPM_BUILD_ROOT%{_emacs_sitelispdir}/%{name}
cp -av misc/emacs/%{name}-init.el $RPM_BUILD_ROOT%{_emacs_sitestartdir}
# xemacs on fedora only
%if 0%{?fedora}
# misc/xemacs
mkdir -p $RPM_BUILD_ROOT%{_xemacs_sitelispdir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_xemacs_sitestartdir}
cp -av misc/xemacs/go-mode.* $RPM_BUILD_ROOT%{_xemacs_sitelispdir}/%{name}
cp -av misc/xemacs/%{name}-init.el $RPM_BUILD_ROOT%{_xemacs_sitestartdir}
%endif
# misc/vim
mkdir -p $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles
cp -av misc/vim/* $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles
@ -651,6 +599,9 @@ GOROOT=%{goroot} GOOS=openbsd GOARCH=386 go install std
%post pkg-openbsd-amd64
GOROOT=%{goroot} GOOS=openbsd GOARCH=amd64 go install std
#%post pkg-openbsd-arm
#GOROOT=%{goroot} GOOS=openbsd GOARCH=arm go install std
%files
%doc AUTHORS CONTRIBUTORS LICENSE PATENTS VERSION
@ -698,23 +649,13 @@ GOROOT=%{goroot} GOOS=openbsd GOARCH=amd64 go install std
%{_emacs_sitestartdir}/*.el
# xemacs on fedora only
%if 0%{?fedora}
%files -n xemacs-%{name}
%doc AUTHORS CONTRIBUTORS LICENSE PATENTS
%{_xemacs_sitelispdir}/%{name}
%{_xemacs_sitestartdir}/*.el
%endif
%files src
%{goroot}/src/
# files that are generated based on compile-time ARCH will go in that arch's pkg-bin-*
%ifarch %{ix86}
# this is wacky that now these files are generated in a different arch
%exclude %{goroot}/src/cmd/8l/enam.c
%exclude %{goroot}/src/pkg/runtime/zgoarch_386.go
%exclude %{goroot}/src/cmd/6l/enam.c
%exclude %{goroot}/src/pkg/runtime/zgoarch_amd64.go
%exclude %{goroot}/src/pkg/runtime/zasm_linux_386.h
@ -731,7 +672,6 @@ GOROOT=%{goroot} GOOS=openbsd GOARCH=amd64 go install std
%endif
%ifarch x86_64
%exclude %{goroot}/src/cmd/6l/enam.c
%exclude %{goroot}/src/pkg/runtime/zgoarch_amd64.go
%exclude %{goroot}/src/pkg/runtime/zasm_linux_amd64.h
@ -748,9 +688,7 @@ GOROOT=%{goroot} GOOS=openbsd GOARCH=amd64 go install std
%endif
%ifarch %{arm}
%exclude %{goroot}/src/cmd/5l/enam.c
%exclude %{goroot}/src/pkg/runtime/zgoarch_arm.go
%exclude %{goroot}/src/cmd/6l/enam.c
%exclude %{goroot}/src/pkg/runtime/zgoarch_amd64.go
%exclude %{goroot}/src/pkg/runtime/zasm_linux_arm.h
@ -794,7 +732,6 @@ GOROOT=%{goroot} GOOS=openbsd GOARCH=amd64 go install std
%{goroot}/pkg/tool/linux_386/pprof
# arch dependent generated files, used by cgo
%{goroot}/src/cmd/8l/enam.c
%{goroot}/src/pkg/runtime/zasm_linux_386.h
%{goroot}/src/pkg/runtime/zgoarch_386.go
%{goroot}/src/pkg/runtime/zmalloc_linux_386.c
@ -831,7 +768,6 @@ GOROOT=%{goroot} GOOS=openbsd GOARCH=amd64 go install std
%{goroot}/pkg/tool/linux_amd64/pprof
# arch dependent generated files, used by cgo
%{goroot}/src/cmd/6l/enam.c
%{goroot}/src/pkg/runtime/zasm_linux_amd64.h
%{goroot}/src/pkg/runtime/zgoarch_amd64.go
%{goroot}/src/pkg/runtime/zmalloc_linux_amd64.c
@ -872,7 +808,6 @@ GOROOT=%{goroot} GOOS=openbsd GOARCH=amd64 go install std
%{goroot}/pkg/tool/linux_arm/pprof
# arch dependent generated files, used by cgo
%{goroot}/src/cmd/5l/enam.c
%{goroot}/src/pkg/runtime/zasm_linux_arm.h
%{goroot}/src/pkg/runtime/zgoarch_arm.go
%{goroot}/src/pkg/runtime/zmalloc_linux_arm.c
@ -978,6 +913,10 @@ GOROOT=%{goroot} GOOS=openbsd GOARCH=amd64 go install std
%changelog
* Wed May 21 2014 Vincent Batts <vbatts@redhat.com> 1.3beta2-1
- update to go1.3beta2
- no longer provides go-mode for xemacs (emacs only)
* Wed May 21 2014 Vincent Batts <vbatts@redhat.com> 1.2.2-7
- bz1099206 ghost files are not what is needed